jif.translate

## Class ToJavaExt_c

- java.lang.Object
- - polyglot.ast.Ext_c
  - - jif.translate.ToJavaExt_c

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, ToJavaExt, polyglot.ast.Ext, polyglot.ast.NodeOps, polyglot.util.Copy<polyglot.ast.Ext>
  Direct Known Subclasses:
    ArrayAccessAssignToJavaExt_c, ArrayAccessToJavaExt_c, ArrayInitToJavaExt_c, BlockToJavaExt_c, BranchToJavaExt_c, CannotToJavaExt_c, CanonicalLabelNodeToJavaExt_c, CanonicalPrincipalNodeToJavaExt_c, CanonicalTypeNodeToJavaExt_c, CaseToJavaExt_c, CastToJavaExt_c, CatchToJavaExt_c, ClassBodyToJavaExt_c, ClassDeclToJavaExt_c, ConditionalToJavaExt_c, ConstructorCallToJavaExt_c, ConstructorDeclToJavaExt_c, DoToJavaExt_c, DowngradeExprToJavaExt_c, DowngradeStmtToJavaExt_c, EmptyToJavaExt_c, EvalToJavaExt_c, ExprToJavaExt_c, FieldAssignToJavaExt_c, FieldDeclToJavaExt_c, FormalToJavaExt_c, ForToJavaExt_c, IdToJavaExt_c, IfToJavaExt_c, ImportToJavaExt_c, InitializerToJavaExt_c, InstanceOfToJavaExt_c, LabeledToJavaExt_c, LabelExprToJavaExt_c, LitToJavaExt_c, LocalAssignToJavaExt_c, LocalClassDeclToJavaExt_c, LocalDeclToJavaExt_c, MethodDeclToJavaExt_c, NewArrayToJavaExt_c, PackageNodeToJavaExt_c, PrincipalExprToJavaExt_c, ReturnToJavaExt_c, SourceFileToJavaExt_c, SpecialToJavaExt_c, SwitchBlockToJavaExt_c, SwitchToJavaExt_c, SynchronizedToJavaExt_c, ThrowToJavaExt_c, TryToJavaExt_c, UnaryToJavaExt_c, WhileToJavaExt_c

      public abstract class ToJavaExt_c
      extends polyglot.ast.Ext_c
      implements ToJavaExt

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Field Summary

    - ### Fields inherited from class polyglot.ast.Ext_c

      `ext, node, pred`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ToJavaExt_c()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract polyglot.ast.Node` | `toJava(JifToJavaRewriter rw)`
    `polyglot.ast.Node` | `toJava(JifToJavaRewriter rw, polyglot.visit.NodeVisitor childVisitor)`
    `polyglot.visit.NodeVisitor` | `toJavaEnter(JifToJavaRewriter rw)`

    - ### Methods inherited from class polyglot.ast.Ext_c

      `addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, copy, copy, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, ext, ext, extRewrite, extRewriteEnter, extRewriteOverride, init, initPred, lang, node, pred, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, print, printBlock, printSubStmt, superLang, throwTypes, toString, translate, typeCheck, typeCheckEnter, typeCheckOverride, visitChild, visitChildren, visitList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface polyglot.ast.Ext

      `dump, ext, ext, init, initPred, node, pred`

    - ### Methods inherited from interface polyglot.ast.NodeOps

      `addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, copy, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, extRewrite, extRewriteEnter, extRewriteOverride, lang, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheck, typeCheckEnter, typeCheckOverride, visitChild, visitChildren, visitList`

    - ### Methods inherited from interface polyglot.util.Copy

      `copy`

- - ### Constructor Detail

    - #### ToJavaExt_c

          public ToJavaExt_c()

  - ### Method Detail

    - #### toJavaEnter

          public polyglot.visit.NodeVisitor toJavaEnter(JifToJavaRewriter rw)
                                                 throws polyglot.types.SemanticException

      Specified by:
        `toJavaEnter` in interface `ToJavaExt`
      Throws:
        `polyglot.types.SemanticException`

    - #### toJava

          public abstract polyglot.ast.Node toJava(JifToJavaRewriter rw)
                                            throws polyglot.types.SemanticException

      Throws:
        `polyglot.types.SemanticException`

    - #### toJava

          public polyglot.ast.Node toJava(JifToJavaRewriter rw,
                                          polyglot.visit.NodeVisitor childVisitor)
                                   throws polyglot.types.SemanticException

      Specified by:
        `toJava` in interface `ToJavaExt`
        `childVisitor` - The visitor that was used to rewrite node()'s children.
      Throws:
        `polyglot.types.SemanticException`